AntiFeatures:
  - Tracking
Categories:
  - Multimedia
License: Apache-2.0
AuthorName: Raphael Michel
AuthorEmail: support@pretix.eu
WebSite: https://pretix.eu/
SourceCode: https://github.com/pretix/pretixscan-android
IssueTracker: https://github.com/pretix/pretixscan-android/issues

AutoName: pretixSCAN
Description: |-
    pretix is an Open Source online ticket shop available at https://pretix.eu/about/en/

    If you organize your conference with pretix, you can use this application to scan the tickets at the entrance.

    This app is free software licensed under the Apache license. The source code can be found at: https://github.com/pretix/pretixscan-android

    Tracking due to Sentry which cannot be disabled by the user.

RepoType: git
Repo: https://github.com/pretix/pretixscan-android

Builds:
  - versionName: 1.2.1
    versionCode: 16
    commit: v1.2.1
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.2.2
    versionCode: 17
    commit: v1.2.2
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.2.4
    versionCode: 19
    commit: 1.2.4
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.2.5
    versionCode: 20
    commit: v1.2.5
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.4.0
    versionCode: 22
    commit: v1.4.0
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.4.1
    versionCode: 23
    commit: v1.4.1
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.4.2
    versionCode: 25
    commit: 1.4.2
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.5.0
    versionCode: 26
    commit: v1.5.0
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.5.1
    versionCode: 27
    commit: v1.5.1
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.6.0
    versionCode: 28
    commit: v1.6.0
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.6.1
    versionCode: 29
    commit: v1.6.1
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.7.0
    versionCode: 30
    commit: v1.7.0
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.8.0
    versionCode: 31
    commit: v1.8.0
    subdir: pretixscan/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/pretix/release/app-pretix-release-unsigned.apk

  - versionName: 1.11.9
    versionCode: 56
    commit: v1.11.9
    subdir: pretixscan/app
    submodules: true
    gradle:
      - pretix
    srclibs:
      - saki4510t-libcommon@2.12.4
      - covpass-android@v-1.38.0
    prebuild:
      - sed -i -e 's|maven.pkg.github.com/Digitaler-Impfnachweis/covpass-android|jitpack.io|'
        -i -e '/repositories {/a mavenLocal()' ../build.gradle
      - sed -i -e "s/(project(':libuvccamera'))/('com.github.raphaelm.UVCCamera:libuvccamera:53d043fea2')
        {exclude group:'com.serenegiant',module:'common'}/" -i -e "s/(project(':usbCameraCommon'))/('com.github.raphaelm.UVCCamera:usbCameraCommon:53d043fea2')
        {exclude group:'com.serenegiant',module:'common'}/" -i -e '/maven {/,/^    }/d'
        -i -e '/repositories {/a mavenLocal()' ../libpretixui-repo/libpretixui-android/build.gradle
    scandelete:
      - pretixscan/libpretixui-repo
    build:
      - pushd $$saki4510t-libcommon$$/common
      - gradle uploadArchives
      - popd
      - mv $$saki4510t-libcommon$$/repository/com/serenegiant/common/2.12.4/common-2.12.4.aar
        ../libpretixui-repo/common/common.aar
      - pushd $$covpass-android$$
      - gradle publishToMavenLocal
      - popd

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.11.9
CurrentVersionCode: 56
